### Hierarchy

- TableSettingsService

## Index

### Constructors

- constructor

### Properties

- closeSubject
- modalRef
- modalService
- onClose

### Methods

- closeSettings
- openSettings

## Constructors

### constructor

- new TableSettingsService(modalService: ModalService): TableSettingsService

- - Defined in packages/angular/src/toolkit/table-settings/table-settings.service.ts:12

  #### Parameters

  - ##### modalService: ModalService

  #### Returns TableSettingsService

## Properties

### Protected closeSubject

closeSubject: Subject<unknown> = ...

- Defined in packages/angular/src/toolkit/table-settings/table-settings.service.ts:10

### Protected modalRef

modalRef: ComponentRef<TableSettingsModalComponent>

- Defined in packages/angular/src/toolkit/table-settings/table-settings.service.ts:12

### Protected modalService

modalService: ModalService

### Readonly onClose

onClose: Observable<any>

- Defined in packages/angular/src/toolkit/table-settings/table-settings.service.ts:8

## Methods

### closeSettings

- closeSettings(): void

- - Defined in packages/angular/src/toolkit/table-settings/table-settings.service.ts:35

  #### Returns void

### openSettings

- openSettings(settingsModel: any): void

- - Defined in packages/angular/src/toolkit/table-settings/table-settings.service.ts:18

  #### Parameters

  - ##### settingsModel: any

  #### Returns void

Generated using TypeDoc